Subject: Re: [PATCH] tests: fixup: make distcheck-override-infodir pass again

From: Stefano Lattarini <[email-masked]>
Date: Tue, 14 Aug 2012 18:53:46 +0200

On 08/14/2012 06:44 PM, Stefano Lattarini wrote:
> Hi Peter, thanks for the report and the fix.
> 
> On 08/14/2012 03:25 PM, Peter Rosin wrote:
>>
>> Ok to push this fix to maint?
>>
>> Cheers,
>> Peter
>>
>> [Subject] tests: fixup: make distcheck-override-infodir pass again
>>
> I'd suggest being a little more precise:
> 
>   tests: fixup: avoid spurious failure on Cygwin for distcheck-override-infodir
>
Forget it, I've seen that the failure is cross-system (reported in automake
bug#12198).  Your origin summary line was correct, sorry.  However, may I ask
that, the next time you send the fix for a bug, you CC: the relevant bug
report (as I'm doing now) and add a reference to the bug number in the commit
message?  In this case, change it to read:

    tests: fixup: make distcheck-override-infodir pass again

    Fixes Automake bug#12198.

    * t/distcheck-override-infodir.sh (main.texi): Remove all leading
    cruft added by commit v1.12.2-96-g133307b "maintcheck: fix spurious
    warnings".

>> diff --git a/t/distcheck-override-infodir.sh b/t/distcheck-override-infodir.sh
>> index 74f6c67..eb41a37 100755
>> --- a/t/distcheck-override-infodir.sh
>> +++ b/t/distcheck-override-infodir.sh
>> @@ -39,7 +39,7 @@ installcheck-local:
>>  END
>>  
>>  # Protect with leading " # " to avoid spurious maintainer-check failures.
>> -sed 's/^ #//' > main.texi << 'END'
>> +sed 's/^ # //' > main.texi << 'END'
>>
> I'd say we might be even safer and do 's/^ *# *//'.  OK?
> 
>>   # \input texinfo
>>   # @setfilename main.info
>>   # @settitle main
>>
> ACK with those two nits addressed.
>
Ditto :-)

Thanks,
  Stefano